#ifndef REGIONSH
#define REGIONSH

/*	Copyright (C) 1992 Free Software Foundation, Inc.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this software; see the file COPYING.  If not, write to
the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.  */


/*  t. lord	Sat Aug  8 15:48:59 1992	*/

#include "global.h"

#ifdef __STDC__
static int cmp_cells (int, int);
static void swp_cells (int, int);
static void rot_cells (int, int);
extern void set_rng (struct rng *, CELLREF, CELLREF, CELLREF, CELLREF);
extern void lock_region (struct rng *, int);
extern void format_region (struct rng *, int, int);
#else
static int cmp_cells ();
static void swp_cells ();
static void rot_cells ();
extern void set_rng ();
extern void lock_region ();
extern void format_region ();
#endif


extern unsigned short print_width;
extern struct rng all_rng;

#endif
